## org.w3c.jigsaw.admin
Class AdminServer

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.httpd
            |
            +--org.w3c.jigsaw.admin.AdminServer

public class AdminServer
extends org.w3c.jigsaw.http.httpd

Field Summary
`protected GenericAuthFilter` | `auth`
`protected ResourceBroker` | `broker`
`protected org.w3c.jigsaw.http.ControlResource` | `controlConfig`
`protected RealmsCatalog` | `realms` The realm catalog
`protected org.w3c.tools.resources.AbstractContainer` | `root`
`protected org.w3c.tools.resources.ResourceReference` | `rr_controlConfig`
`protected org.w3c.tools.resources.ResourceReference` | `rr_realms`
`protected org.w3c.tools.resources.ResourceReference` | `rr_root`
`protected ServerHandlerManager` | `shm`
`protected org.w3c.jigsaw.admin.AdminWriter` | `writer`

Fields inherited from class org.w3c.jigsaw.http.httpd

`CHECKURL_P, CLIENT_BUFSIZE_P, CLIENT_DEBUG_P, CLIENT_FACTORY_P, CLIENT_PRIORITY_P, CONFIG_P, debug, DOCURL_P, EDIT_ROOT_P, FS_SENSITIVITY, host, HOST_P, instances, KEEP_ALIVE_P, KEEP_TIMEOUT_P, LOGGER_P, MAX_LOADED_STORE, MAX_LOADED_STORE_P, port, PORT_P, props, PROPS_P, PUBLIC_P, REQUEST_TIMEOUT_P, root, ROOT_CLASS_P, ROOT_NAME_P, ROOT_P, SERVER_GROUP_P, SERVER_SOFTWARE_P, SERVER_USER_P, SHUFFLER_PATH_P, SPACE_P, thread, timer, TRACE_P, TRASHDIR_P, url, USE_SM_P, verscount, VERSCOUNT_P, version`

Constructor Summary
`AdminServer()`

Method Summary
`protected java.lang.String` | `getBanner()`
`org.w3c.tools.resources.ResourceReference` | `getConfigResource()`
`org.w3c.tools.resources.ResourceReference` | `getControlResource()`
`org.w3c.tools.resources.ResourceReference` | `getRealmCatalogResource()`
`RealmsCatalog` | `getRealmsCatalog()`
`org.w3c.tools.resources.FramedResource` | `getRoot()`
`org.w3c.tools.resources.ResourceReference` | `getRootReference()`
`void` | `initialize(ServerHandlerManager shm, java.lang.String identifier, ObservableProperties props)` Initialize the Server
`protected void` | `initializeAuth()`
`org.w3c.tools.resources.ReplyInterface` | `perform(org.w3c.tools.resources.RequestInterface req)` Perform the request
`org.w3c.jigsaw.http.Reply` | `remoteListAttributes(org.w3c.jigsaw.http.Request request)` List the attributes.
`org.w3c.jigsaw.http.Reply` | `remoteLoadRoot(org.w3c.jigsaw.http.Request request)` Load the remote Root.

Methods inherited from class org.w3c.jigsaw.http.httpd

`checkFileSystemSensitivity, checkpoint, cleanup, clone, debug, enumeratePropertySet, errlog, errlog, errlog, errlog, fatal, fatal, getAuthDirectory, getClientBufferSize, getClientDebug, getClientKeepConnection, getClientThreadPriority, getConfigDirectory, getConnectionTimeOut, getDefaultContext, getDocumentationURL, getEditRoot, getHost, getIdentifier, getIndexerDirectory, getIndexersCatalog, getInetAddress, getLocalPort, getLogger, getPort, getProperties, getPropertySet, getRequestTimeOut, getResourceSpace, getResourceStoreManager, getRootDirectory, getShuffler, getSoftware, getSpaceDir, getStatistics, getStoreDirectory, getTrashDirectory, getURL, initializeProperties, initializePropertySets, loadResource, loadRoot, log, log, main, propertyChanged, registerPropertySet, restart, run, shutdown, startCheckpoint, trace, trace, usage, warning, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### broker

    protected ResourceBroker broker

### shm

    protected ServerHandlerManager shm

### writer

    protected org.w3c.jigsaw.admin.AdminWriter writer

### root

    protected org.w3c.tools.resources.AbstractContainer root

### rr_root

    protected org.w3c.tools.resources.ResourceReference rr_root

### controlConfig

    protected org.w3c.jigsaw.http.ControlResource controlConfig

### rr_controlConfig

    protected org.w3c.tools.resources.ResourceReference rr_controlConfig

### auth

    protected GenericAuthFilter auth

### realms

    protected RealmsCatalog realms

  The realm catalog

### rr_realms

    protected org.w3c.tools.resources.ResourceReference rr_realms

Constructor Detail

### AdminServer

    public AdminServer()

Method Detail

### getRealmsCatalog

    public RealmsCatalog getRealmsCatalog()

  Overrides:
    getRealmsCatalog in class org.w3c.jigsaw.http.httpd

### getBanner

    protected java.lang.String getBanner()

  Overrides:
    getBanner in class org.w3c.jigsaw.http.httpd

### getConfigResource

    public org.w3c.tools.resources.ResourceReference getConfigResource()

  Overrides:
    getConfigResource in class org.w3c.jigsaw.http.httpd

### getRealmCatalogResource

    public org.w3c.tools.resources.ResourceReference getRealmCatalogResource()

### getControlResource

    public org.w3c.tools.resources.ResourceReference getControlResource()

### remoteLoadRoot

    public org.w3c.jigsaw.http.Reply remoteLoadRoot(org.w3c.jigsaw.http.Request request)
                                             throws org.w3c.tools.resources.ProtocolException

  Load the remote Root.
  Parameters:
    `request` - The incomming request.
  Throws:
    org.w3c.tools.resources.ProtocolException - if a protocol error occurs.

### remoteListAttributes

    public org.w3c.jigsaw.http.Reply remoteListAttributes(org.w3c.jigsaw.http.Request request)
                                                   throws org.w3c.tools.resources.ProtocolException

  List the attributes.
  Parameters:
    `request` - The incomming request.
  Throws:
    org.w3c.tools.resources.ProtocolException - if a protocol error occurs.

### perform

    public org.w3c.tools.resources.ReplyInterface perform(org.w3c.tools.resources.RequestInterface req)
                                                   throws org.w3c.tools.resources.ProtocolException,
                                                          org.w3c.tools.resources.ResourceException

  Perform the request
  Parameters:
    `req` - the request.
  Throws:
    org.w3c.tools.resources.ProtocolException - if a protocol error occurs
    org.w3c.tools.resources.ResourceException - if a server error occurs
  Overrides:
    perform in class org.w3c.jigsaw.http.httpd

### getRoot

    public org.w3c.tools.resources.FramedResource getRoot()

  Overrides:
    getRoot in class org.w3c.jigsaw.http.httpd

### getRootReference

    public org.w3c.tools.resources.ResourceReference getRootReference()

  Overrides:
    getRootReference in class org.w3c.jigsaw.http.httpd

### initializeAuth

    protected void initializeAuth()

### initialize

    public void initialize(ServerHandlerManager shm,
                           java.lang.String identifier,
                           ObservableProperties props)
                    throws ServerHandlerInitException

  Initialize the Server
  Throws:
    ServerHandlerInitException - if it can't be initialized
  Overrides:
    initialize in class org.w3c.jigsaw.http.httpd